Strophe 0.9 XMPP client library

Functions
sasl.h File Reference

SASL authentication helpers. More...

## Functions
char * | sasl_plain (xmpp_ctx_t *ctx, const char *authid, const char *password)
| low-level sasl routines More...
char * | sasl_digest_md5 (xmpp_ctx_t *ctx, const char *challenge, const char *jid, const char *password)
| generate auth response string for the SASL DIGEST-MD5 mechanism More...
char * | sasl_scram_sha1 (xmpp_ctx_t *ctx, const char *challenge, const char *first_bare, const char *jid, const char *password)
| generate auth response string for the SASL SCRAM-SHA-1 mechanism More...

## Detailed Description

SASL authentication helpers.

## Function Documentation

## § sasl_plain()

char* sasl_plain | ( | xmpp_ctx_t * | ctx,
|  | const char * | authid,
|  | const char * | password
| ) |  |

low-level sasl routines

low-level sasl routines

## § sasl_digest_md5()

char* sasl_digest_md5 | ( | xmpp_ctx_t * | ctx,
|  | const char * | challenge,
|  | const char * | jid,
|  | const char * | password
| ) |  |

generate auth response string for the SASL DIGEST-MD5 mechanism

## § sasl_scram_sha1()

char* sasl_scram_sha1 | ( | xmpp_ctx_t * | ctx,
|  | const char * | challenge,
|  | const char * | first_bare,
|  | const char * | jid,
|  | const char * | password
| ) |  |

generate auth response string for the SASL SCRAM-SHA-1 mechanism